local M = {
    "lukas-reineke/indent-blankline.nvim",
    lazy = false,
    main = "ibl",
}

function M.config()
    vim.opt.termguicolors = true
    vim.cmd [[highlight IndentBlanklineIndent1 guifg=#2A2A2A gui=nocombine]]

    vim.opt.list = true

    local highlight = {
        "RainbowRed",
        "RainbowYellow",
        "RainbowBlue",
        "RainbowOrange",
        "RainbowGreen",
        "RainbowViolet",
        "RainbowCyan",
    }
    local hooks = require "ibl.hooks"
    -- create the highlight groups in the highlight setup hook, so they are reset
    -- every time the colorscheme changes
    hooks.register(hooks.type.HIGHLIGHT_SETUP, function()
        vim.api.nvim_set_hl(0, "RainbowRed", { fg = "#F8C8DC" })
        vim.api.nvim_set_hl(0, "RainbowYellow", { fg = "#F5BBA1" })
        vim.api.nvim_set_hl(0, "RainbowBlue", { fg = "#8EB6F5" })
        vim.api.nvim_set_hl(0, "RainbowOrange", { fg = "#F5BBA1" })
        vim.api.nvim_set_hl(0, "RainbowGreen", { fg = "#BFD7b5" })
        vim.api.nvim_set_hl(0, "RainbowViolet", { fg = "#C3B1E1" })
        vim.api.nvim_set_hl(0, "RainbowCyan", { fg = "#C1E7E3" })
    end)

    vim.g.rainbow_delimiters = { highlight = highlight }
    require("ibl").setup { scope = { highlight = highlight } }

    hooks.register(hooks.type.SCOPE_HIGHLIGHT, hooks.builtin.scope_highlight_from_extmark)

    local config = require("ibl.config").default_config
    config.indent.tab_char = config.indent.char
    config.indent.highlight = highlight
    config.whitespace.highlight = { "Whitespace", "NonText" }

    require("ibl").setup(config)
end

return M
