local M = {
    "nvim-neorg/neorg",
    dependencies = {
        "nvim-lua/plenary.nvim",
    },
    lazy = false,
}

function M.config()
    require("neorg").setup {
        load = {
            ["core.defaults"] = {}, -- Loads default behaviour
            ["core.highlights"] = {},
            ["core.mode"] = {},
			["core.export"] = {},
            ["core.completion"] = {
                config = {
                    engine = "nvim-cmp",
                },
            },
            ["core.concealer"] = {
                config = {
                    icon_preset = "diamond",
                },
            }, -- Adds pretty icons to your documents
            ["core.integrations.treesitter"] = {},
            ["core.neorgcmd"] = {},
            ["core.dirman"] = { -- Manages Neorg workspaces
                config = {
                    workspaces = {
                        notes = "~/notes/neorg",
                    },
                },
            },
        },
    }
end

return M
