local M = {
    "jose-elias-alvarez/null-ls.nvim",
    event = "BufReadPre",
    dependencies = {
        {
            "nvim-lua/plenary.nvim",
        },
    },
}

function M.config()
    local null_ls = require "null-ls"
    -- https://github.com/jose-elias-alvarez/null-ls.nvim/tree/main/lua/null-ls/builtins/formatting
    local formatting = null_ls.builtins.formatting
    -- https://github.com/jose-elias-alvarez/null-ls.nvim/tree/main/lua/null-ls/builtins/diagnostics
    local diagnostics = null_ls.builtins.diagnostics

    -- https://github.com/prettier-solidity/prettier-plugin-solidity
    null_ls.setup {
        debug = false,
        sources = {
            formatting.prettier.with {
                extra_filetypes = { "toml" },
                extra_args = { "--no-semi", "--single-quote", "--jsx-single-quote" },
            },
            null_ls.builtins.formatting.gofumpt,
            null_ls.builtins.formatting.goimports_reviser,
            formatting.black.with { extra_args = { "--fast" } },
            formatting.stylua,
            formatting.google_java_format,
            diagnostics.flake8,
        },
    }
end

return M
